Bug 206660 - virt-manager New Virtual System Wizard memory issues
Summary: virt-manager New Virtual System Wizard memory issues
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-15 15:51 UTC by Phil Hale
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 18:13:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Hale 2006-09-15 15:51:55 UTC
Description of problem:
Whenever I try to create a new virtual machine instance with the new
virtual system wizard and it gets to the point to define start up and max
memory, no matter what size I put in, it uses the default remaining available
memory.  I have to go back and edit the /etc/xen/machineX config file to fix the
memory="" block afterwards.

Version-Release number of selected component (if applicable):
virt-manager-0.2.1-1

How reproducible:
every time

Steps to Reproduce:
1. lauch virt-manager and connect to the local xen instance
2. Click on the "New" button.
3. Define the device and set to Fully Virtualized
4. Set up a simple file for drive.
5. Define the Max and Start up memory to 256 

Actual results:
Once you complete the wizard, it starts the new virtual system, but with the
maximum default memory left and not the amount defined in the wizard.


Expected results:
System should be started with amount of memory defined in the wizard.

Additional info:

Comment 1 Daniel Berrange 2006-09-15 15:55:13 UTC
The fix for this issue is already being worked on. It wasn't dealing with change
events in the spinbox correctly - if you type in memory it won't pick it up, but
if you use the up/down buttons it works as desired. Will update this ticket
again when I push a new errata to rawhide.


Comment 2 Daniel Berrange 2006-09-19 18:13:38 UTC
This is fixed in rawhide, virt-manager-0.2.2-1



Note You need to log in before you can comment on or make changes to this bug.